Package Details: android-sdk-platform-tools 29.0.4-1

Git Clone URL: https://aur.archlinux.org/android-sdk-platform-tools.git (read-only)
Package Base: android-sdk-platform-tools
Description: Platform-Tools for Google Android SDK (adb and fastboot)
Upstream URL: http://developer.android.com/sdk/index.html
Keywords: android development
Licenses: custom
Conflicts: adb
Provides: adb, android-tools
Submitter: Gordin
Maintainer: dreamingincode
Last Packager: dreamingincode
Votes: 1225
Popularity: 3.740558
First Submitted: 2011-01-29 23:08
Last Updated: 2019-09-14 05:33

Dependencies (2)

Required by (58)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

Gordin commented on 2014-12-14 23:59

@eagleeyetom unflagged. This package provides adb 1.0.32 which is also the newest version. You can check this when you run "android" (Android SDK Manager). It should say "Installed" next to Android SDK Platform-tools instead of "Update available: rev. XXX".
If your adb isn't 1.0.32 then it's probably not the one from this package. "which adb" should give you "/opt/android-sdk/platform-tools/adb", if it doesn't you installed another version from somewhere else.

eagleeyetom commented on 2014-12-14 23:28

Flagged as out-of-date. Nexus 4 requires newer version of ADB (1.0.32) to apply the package.

Gordin commented on 2014-11-15 23:59

@anatolik This contains everything that you get with "Android SDK Platform-tools" in the Android SDK Manager. (More tools then adb and fastboot)
It also includes a service file to start the adb server on boot.

anatolik commented on 2014-11-12 01:48

Does it contain only adb and fastboot? If so then android-tools from [community] covers it. Please remove the package then.

martyg commented on 2014-11-04 17:02

Getting these errors building on x86_64 host

$ makepkg -s
==> Making package: android-sdk-platform-tools r21-1 (Tue Nov 4 08:59:09 PST 2014)
==> Checking runtime dependencies...
==> Installing missing dependencies...
error: target not found: lib32-gcc-libs
error: target not found: lib32-zlib
error: target not found: lib32-ncurses

iskenderoguz commented on 2014-11-02 13:24

there is an update rev.21

Gordin commented on 2014-07-07 11:35

This is still the latest version. The platform tools version number is NOT the same as the SDK version. Also, this package is does not contain the "SDK Tools" mentioned here http://developer.android.com/sdk/index.html

afzalarsalan commented on 2014-06-28 04:47

There's filesystem conflicts with this new update, looks like inproper association.
error: failed to commit transaction (conflicting files)
android-sdk-platform-tools: /opt/android-sdk/platform-tools/dmtracedump exists in filesystem
android-sdk-platform-tools: /opt/android-sdk/platform-tools/etc1tool exists in filesystem
android-sdk-platform-tools: /opt/android-sdk/platform-tools/hprof-conv exists in filesystem
android-sdk-platform-tools: /opt/android-sdk/platform-tools/sqlite3 exists in filesystem

Anonymous comment on 2014-06-26 20:25

Updated PKGBUILD for r20. Switched to sha1sums because that is what google provides at http://dl-ssl.google.com/android/repository/repository-8.xml

http://pastebin.com/raw.php?i=70uJePZK

egore911 commented on 2014-05-21 11:39

I did this patch to get the latest (19.0.2) version installed.



--- PKGBUILD 2013-12-20 19:05:29.000000000 +0100
+++ PKGBUILD 2014-05-21 13:36:26.673827477 +0200
@@ -1,7 +1,7 @@
# Maintainer: Gordin <9ordin @t gmail dot com>

pkgname=android-sdk-platform-tools
-pkgver=r19.0.1
+pkgver=r19.0.2
pkgrel=1
pkgdesc='Platform-Tools for Google Android SDK (adb and fastboot)'
arch=('i686' 'x86_64')
@@ -20,7 +20,7 @@
source=("http://dl-ssl.google.com/android/repository/platform-tools_${pkgver}-linux.zip"
"adb.service"
"license.html")
-sha256sums=('9d58c5f3a4b6a17bee7547dbe99fabb189a92e9cd07a3dcb8ac64138cace2b78'
+sha256sums=('ebf110dded7c78474eb2e4f1833c8a7759d4d564773a767225b7d2d6204eec4b'
'1c219abea7584ae13f3f76b04e269ef21c1699d6bd29b7615523f927a9d10deb'
'a7f3a259290ae6a5dc61bd34ecae36e2b7e2f644865ddc3c7fde5d248b8a7cef')